

<div sec:authorize="hasAnyAuthority('Administrator')" class="ibox-content">
    <form th:action="@{/ep/tugaskegiatan/form}" th:object="${tugaskegiatan}" th:method="post">
        <input type="hidden" th:field="*{id}" />

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Tugas</label>
            <div class="col-sm-10">
                <th:block th:if="${kunciform} != true">
                    <th:block th:each="x : ${listTugas}">
                        <th:block th:if="${idtugas} == ${x.id}">
                            <label class="col-form-label"><strong th:text="${x.nama}"></strong></label>
                            <input name="tugas" type="hidden" th:value="${x.id}" />
                        </th:block>
                    </th:block>
                    <!--                    <select name="tugas" class="form-control" th:field="*{tugas}" required="true">
                                            <th:block th:each="x : ${listTugas}">
                                                <th:block th:if="${idtugas} == ${x.id}">
                                                    <option th:value="${x.id}" th:text="${x.nama} + ' ' + '(' + ${x.stakeholder.keterangan} +')'">option 1</option>
                                                </th:block>
                                            </th:block>
                                        </select>-->
                </th:block>
                <th:block th:if="${kunciform} == true">
                    <input type="hidden" name="tugas" th:field="*{tugas}" th:value="${tugaskegiatan.tugas.id}">
                    <select class="form-control" required="true" disabled>
                        <option th:value="${tugaskegiatan.tugas.id}" th:text="${tugaskegiatan.tugas.nama} + ' ' + '(' + ${tugaskegiatan.tugas.stakeholder.keterangan} +')'">option 1</option>
                    </select>
                </th:block>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Kegiatan</label>
            <div class="col-sm-10">
                <th:block th:if="${kunciform} != true">
                    <select name="kegiatan" class="form-control" th:field="*{kegiatan}" required="true">
                        <th:block th:each="x : ${listKegiatan}">
                            <option th:value="${x.id}" th:text="${x.nama}">option 1</option>
                        </th:block>
                    </select>
                </th:block>
                <th:block th:if="${kunciform} == true">
                    <input type="hidden" name="kegiatan" th:field="*{kegiatan}" th:value="${tugaskegiatan.kegiatan.id}">
                    <label class="col-form-label"><strong th:text="${tugaskegiatan.kegiatan.nama}"></strong></label>

                    <!--                    <select class="form-control" required="true" disabled>
                                            <option th:value="${tugaskegiatan.kegiatan.id}" th:text="${tugaskegiatan.kegiatan.nama}">option 1</option>
                                        </select>-->
                </th:block>
            </div>
        </div>

        <!--        <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Progres</label>
                    <div class="col-sm-2"><input type="text" class="form-control" th:field="*{progres}" placeholder="0">
                        <div class="text-danger" th:if="${#fields.hasErrors('progres')}" th:errors="*{progres}"></div>
                    </div>
                    <label class="col-form-label">%</label>
                </div>
        
                <div class="form-group row">
                    <label class="col-sm-2 col-form-label">Rincian</label>
                    <div class="col-sm-10"><textarea name="rincian" type="text" class="form-control" th:field="*{rincian}"></textarea>
        
                    </div>
                </div>-->

        <div class="hr-line-dashed"></div>
        <div class="form-group row">
            <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-white btn-sm" type="reset">Reset</button>
                <th:block th:if="${not #lists.isEmpty(listKegiatan)}">
                    <button class="btn btn-primary btn-sm" type="submit"><i class="fa fa-save"></i> Save changes</button>
                </th:block>
            </div>
        </div>
    </form>
</div>
<div sec:authorize="hasAnyAuthority('Petugas')" class="ibox-content">
    <form th:action="@{/ep/tugaskegiatan/update}" th:method="post">
        <input name="id" type="hidden" th:value="${tugaskegiatan.id}" />

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Tugas</label>
            <div class="col-sm-10">
                <th:block th:if="${kunciform} == true">
                    <!--                                                <input type="hidden" name="tugas" th:field="*{tugas}" th:value="${tugaskegiatan.tugas.id}">-->
                    <label class="col-form-label"><strong th:text="${tugaskegiatan.tugas.nama}"></strong></label>
                </th:block>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Kegiatan</label>
            <div class="col-sm-10">
                <th:block th:if="${kunciform} == true">
                    <!--                                                <input type="hidden" name="kegiatan" th:field="*{kegiatan}" th:value="${tugaskegiatan.kegiatan.id}">-->
                    <label class="col-form-label"><strong th:text="${tugaskegiatan.kegiatan.nama}"></strong></label>

                </th:block>
            </div>
        </div>

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Progres</label>
            <div class="col-sm-1"><input type="text" class="form-control" name="progres" th:value="${tugaskegiatan.progres}" placeholder="0">
                <!--                                            <div class="text-danger" th:if="${#fields.hasErrors('progres')}" th:errors="*{progres}"></div>-->
            </div>
            <label class="col-form-label">%</label>
        </div>

        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Rincian</label>
            <div class="col-sm-10"><textarea name="rincian" type="text" class="form-control" th:value="${tugaskegiatan.rincian}"></textarea>

            </div>
        </div>

        <div class="hr-line-dashed"></div>
        <div class="form-group row">
            <div class="col-sm-4 col-sm-offset-2">
                <button class="btn btn-white btn-sm" type="reset">Reset</button>
                <button class="btn btn-primary btn-sm" type="submit"><i class="fa fa-save"></i> Save changes</button>
            </div>
        </div>
    </form>
</div>
